
from django.core.management.base import BaseCommand
from uhepp_vault.models import Plot


class Command(BaseCommand):
    def handle(self, *args, **options):
        print("Setting title fields")
        for plot in Plot.objects.filter(title__isnull=True):
            print(f"  Update {plot.uuid}")
            plot.title = str(plot)
            plot.save()
        print("Done")
